Hyperliquid
Returns withdrawals that are waiting for release or manual review for one user.
Endpoint
POST /info
Request Body
| Parameter | Type | Description |
|---|---|---|
type* | string | Must be "pendingWithdrawals" |
user* | string | User wallet address, e.g., "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb" |
{
"type": "pendingWithdrawals",
"user": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
}
Response
- 200: Pending
- 200: None
- 200: Paused
{
"paused": false,
"delayMs": 180000,
"pending": [
{
"transactionId": "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"userAddress": "0x742d35cc6634c0532925a3b844bc9e7595f0beb",
"asset": "0x00012710",
"amount": "100.5",
"destination": "0x1234567890abcdef1234567890abcdef12345678",
"source": "balance",
"initiatedAt": 1701234567890,
"releaseAt": 1701234747890,
"remainingSeconds": 90,
"heldForManualReview": false
}
]
}
{
"paused": false,
"delayMs": 180000,
"pending": []
}
{
"paused": true,
"delayMs": 180000,
"pending": []
}
Response Fields
| Field | Type | Description |
|---|---|---|
paused | boolean | Whether automatic withdrawal release is paused |
delayMs | number | Configured withdrawal delay in milliseconds |
pending | array | User withdrawals that have not completed or failed yet |
pending[] fields
| Field | Type | Description |
|---|---|---|
transactionId | string | Notional withdrawal transaction ID |
userAddress | string | Lowercase user wallet address |
asset | string | 0x-prefixed 4-byte AssetId, e.g., "0x00012710" |
amount | string | Withdrawal amount as a decimal string, e.g., "100.5" |
destination | string | Destination wallet address |
source | string | "balance", or "segregated" for funds held after a rejected deposit |
initiatedAt | number | Unix-millisecond initiation time |
releaseAt | number | Earliest scheduled release time in Unix milliseconds |
remainingSeconds | number | Seconds until releaseAt, rounded up; 0 when the release time has passed |
heldForManualReview | boolean | Whether automatic release is blocked pending review |
